Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoEngineOutputList Class Reference
[Engine classes]

The SoEngineOutputList class is a container for SoEngineOutput objects. More...

`#include <Inventor/lists/SoEngineOutputList.h>`

Inheritance diagram for SoEngineOutputList:

List of all members.

## Public Methods
| SoEngineOutputList (void)
| SoEngineOutputList (const int sizehint)
| SoEngineOutputList (const SoEngineOutputList &l)
SoEngineOutput * | operator[] (const int idx) const

## Detailed Description

The SoEngineOutputList class is a container for SoEngineOutput objects.

See also:
  SbList

## Constructor & Destructor Documentation

SoEngineOutputList::SoEngineOutputList | ( | void |  | ) | `[inline]`

| Default constructor.

SoEngineOutputList::SoEngineOutputList | ( | const int | sizehint | ) | `[inline]`

| This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

SoEngineOutputList::SoEngineOutputList | ( | const SoEngineOutputList & | l | ) | `[inline]`

| Copy constructor.

The documentation for this class was generated from the following files:

- SoEngineOutputList.h
- SoEngineOutputList.cpp